com.sun.pdfview.font

## Class PDFGlyph

- java.lang.Object
- - com.sun.pdfview.font.PDFGlyph

    public class PDFGlyph
    extends java.lang.Object

A single glyph in a stream of PDF text, which knows how to write itself onto a PDF command stream

### Constructor Summary

Constructors
Constructor and Description
`PDFGlyph(char src, java.lang.String name, java.awt.geom.GeneralPath shape, java.awt.geom.Point2D.Float advance)` Creates a new instance of PDFGlyph based on a shape
`PDFGlyph(char src, java.lang.String name, PDFPage page, java.awt.geom.Point2D advance)` Creates a new instance of PDFGlyph based on a page

### Method Summary

Methods
`java.awt.geom.Point2D` `addCommands(PDFPage cmds, java.awt.geom.AffineTransform transform, int mode)` Add commands for this glyph to a page
`char` `getChar()` Get the character code of this glyph
`java.lang.String` `getName()` Get the name of this glyph
`PDFPage` `getPage()` Get the PDFPage for a type3 font glyph
`java.awt.geom.GeneralPath` `getShape()` Get the shape of this glyph
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDFGlyph

    public PDFGlyph(char src,
            java.lang.String name,
            java.awt.geom.GeneralPath shape,
            java.awt.geom.Point2D.Float advance)

Creates a new instance of PDFGlyph based on a shape

#### PDFGlyph

    public PDFGlyph(char src,
            java.lang.String name,
            PDFPage page,
            java.awt.geom.Point2D advance)

Creates a new instance of PDFGlyph based on a page

### Method Detail

#### getChar

    public char getChar()

Get the character code of this glyph

#### getName

    public java.lang.String getName()

Get the name of this glyph

#### getShape

    public java.awt.geom.GeneralPath getShape()

Get the shape of this glyph

#### getPage

    public PDFPage getPage()

Get the PDFPage for a type3 font glyph

#### addCommands

    public java.awt.geom.Point2D addCommands(PDFPage cmds,
                                    java.awt.geom.AffineTransform transform,
                                    int mode)

Add commands for this glyph to a page

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`